## openjdk-8 8u272~b09

=== debian/changelog ===
openjdk-8 (8u272~b09-0ubuntu1) groovy; urgency=medium

  * Update to 8u272-b09 (early access build).
  * Update AArch64 hotspot to 8u252-b08 (no hotspot changes to b09).

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 08 Oct 2020 14:57:35 +0000
