## openjdk-8 8u272-b10

=== debian/changelog ===
openjdk-8 (8u272-b10-0+deb9u1) stretch-security; urgency=medium

  * Update to 8u272-b10 (GA).
  * Security fixes:
    - JDK-8233624: Enhance JNI linkage
    - JDK-8236196: Improve string pooling
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing
    - JDK-8240124: Better VM Interning
    - JDK-8241114, CVE-2020-14792: Better range handling
    - JDK-8242680, CVE-2020-14796: Improved URI Support
    - JDK-8242685, CVE-2020-14797: Better Path Validation
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support
    - JDK-8243302: Advanced class supports
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports
    - JDK-8244479: Further constrain certificates
    - JDK-8244955: Additional Fix for JDK-8240124
    - JDK-8245407: Enhance zoning of times
    - JDK-8245412: Better class definitions
    - JDK-8245417: Improve certificate chain handling
    - JDK-8248574: Improve jpeg processing
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit
    - JDK-8253019: Enhanced JPEG decoding

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Oct 2020 23:52:22 +0200
