## openjdk-8 8u282-b08

=== debian/changelog ===
openjdk-8 (8u282-b08-0ubuntu1) hirsute; urgency=medium

  * Update to 8u282-b08 (GA).
  * Update AArch64 hotspot to 8u282-b07 and AArch32 hotspot to 8u282-b07.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 20 Jan 2021 00:48:04 +0000

openjdk-8 (8u282-b07-0ubuntu1) hirsute; urgency=medium

  * Update to 8u282-b07 (early access build).
  * Update AArch64 hotspot to 8u282-b03 and AArch32 hotspot to 8u282-b06.
  * Update patches.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 07 Jan 2021 00:16:35 +0000

openjdk-8 (8u275-b01-0ubuntu1) hirsute; urgency=medium

  * Update to 8u275-b01 (GA). Patch aarch32 and aarch64 to 8u275-b01.
  * Regression fixes:
    - JDK-8214440: ldap over a TLS connection negotiate failed with "javax.net.ssl.SSLPeerUnverifiedException: hostname of the server '' does not match the hostname in the server's certificate"
    - JDK-8223940: Private key not supported by chosen signature algorithm
    - JDK-8236512: PKCS11 Connection closed after Cipher.doFinal and NoPadding
    - JDK-8250861: Crash in MinINode::Ideal(PhaseGVN*, bool)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 02:08:45 +0000

openjdk-8 (8u272-b10-0ubuntu1) hirsute; urgency=medium

  * Update to 8u272-b10 (GA). Patch aarch32 to 8u272-b10.
  * Security fixes:
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class.
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts.
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing.
    - JDK-8241114, CVE-2020-14792: Better range handling.
    - JDK-8242680, CVE-2020-14796: Improved URI Support.
    - JDK-8242685, CVE-2020-14797: Better Path Validation.
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support.
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports.
    - JDK-8233624: Enhance JNI linkage.
    - JDK-8236196: Improve string pooling.
    - JDK-8240124: Better VM Interning.
    - JDK-8243302: Advanced class supports.
    - JDK-8244479: Further constrain certificates.
    - JDK-8244955: Additional Fix for JDK-8240124.
    - JDK-8245407: Enhance zoning of times.
    - JDK-8245412: Better class definitions.
    - JDK-8245417: Improve certificate chain handling.
    - JDK-8248574: Improve jpeg processing.
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit.
    - JDK-8253019: Enhanced JPEG decoding.
  * New features:
    - JDK-8245468: Add TLSv1.3 implementation classes from 11.0.7.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 22 Oct 2020 00:12:59 +0000
