## openjdk-8 8u292-b10

=== debian/changelog ===
openjdk-8 (8u292-b10-0ubuntu1~16.04.1) xenial-security; urgency=medium

  * Backport the security update to 16.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 14:12:51 +0200

openjdk-8 (8u292-b10-0ubuntu1) hirsute; urgency=medium

  * Update to 8u292-b10 (GA).
  * Security fixes
    - JDK-8227467: Better class method invocations
    - JDK-8244473: Contextualize registration for JNDI
    - JDK-8244543: Enhanced handling of abstract classes
    - JDK-8249906, CVE-2021-2163: Enhance opening JARs
    - JDK-8250568, CVE-2021-2161: Less ambiguous processing
    - JDK-8253799: Make lists of normal filenames
  * Other changes:
    See https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-April/013680.html

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2021 12:25:15 +0200
