=== debian/tests/control ===
Tests: hotspot, langtools
Depends: @, default-jre-headless, jtreg, testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg, testng, g++, xfwm4, xvfb, dbus-x11, unzip, zip
Restrictions: allow-stderr, skippable, flaky
